summaryrefslogtreecommitdiffstats
path: root/libraries/activemq-cpp
diff options
context:
space:
mode:
author Mauricio Paicil2015-12-03 17:42:38 +0100
committer Willy Sudiarto Raharjo2015-12-03 17:42:38 +0100
commit0132db3939fa44cb244c30137e3dc3b84ce4a79c (patch)
tree998dd3ff9cf78cf7de58c23107658c594973249d /libraries/activemq-cpp
parentc83e1323fc30a893f92a554f6a4551270b79bf31 (diff)
downloadslackbuilds-0132db3939fa44cb244c30137e3dc3b84ce4a79c.tar.gz
libraries/activemq-cpp: Added (ActiveMQ CPP Library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries/activemq-cpp')
-rw-r--r--libraries/activemq-cpp/README4
-rw-r--r--libraries/activemq-cpp/activemq-cpp.SlackBuild98
-rw-r--r--libraries/activemq-cpp/activemq-cpp.info10
-rw-r--r--libraries/activemq-cpp/slack-desc20
4 files changed, 132 insertions, 0 deletions
diff --git a/libraries/activemq-cpp/README b/libraries/activemq-cpp/README
new file mode 100644
index 0000000000..4c80fa4349
--- /dev/null
+++ b/libraries/activemq-cpp/README
@@ -0,0 +1,4 @@
+ActiveMQ CPP is a messaging library that can use multiple protocols to
+talk to a MOM (e.g. ActiveMQ).
+
+
diff --git a/libraries/activemq-cpp/activemq-cpp.SlackBuild b/libraries/activemq-cpp/activemq-cpp.SlackBuild
new file mode 100644
index 0000000000..abfe6280d7
--- /dev/null
+++ b/libraries/activemq-cpp/activemq-cpp.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for activemq-cpp
+
+# Copyright 2015 Mauricio Paicil , Santiago, Chile
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=activemq-cpp
+VERSION=${VERSION:-3.9.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-library-$VERSION
+tar xvf $CWD/$PRGNAM-library-$VERSION-src.tar.gz
+cd $PRGNAM-library-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+# Compile the application and install it into the $PKG directory
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a *.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/activemq-cpp/activemq-cpp.info b/libraries/activemq-cpp/activemq-cpp.info
new file mode 100644
index 0000000000..b509603347
--- /dev/null
+++ b/libraries/activemq-cpp/activemq-cpp.info
@@ -0,0 +1,10 @@
+PRGNAM="activemq-cpp"
+VERSION="3.9.0"
+HOMEPAGE="http://activemq.apache.org/"
+DOWNLOAD="http://www.eu.apache.org/dist/activemq/activemq-cpp/3.9.0/activemq-cpp-library-3.9.0-src.tar.gz"
+MD5SUM="414ac7de16d305058c7f0e2a333a5960"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Mauricio Paicil"
+EMAIL="mauricio.paicil.g@gmail.com"
diff --git a/libraries/activemq-cpp/slack-desc b/libraries/activemq-cpp/slack-desc
new file mode 100644
index 0000000000..e4abdba815
--- /dev/null
+++ b/libraries/activemq-cpp/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |------handy-ruler------------------------------------------------|
+activemq-cpp: activemq-cpp (ActiveMQ CPP Library)
+activemq-cpp:
+activemq-cpp: Apache ActiveMQ is the most popular and powerful open source
+activemq-cpp: messaging and Integration Patterns server.
+activemq-cpp:
+activemq-cpp: Apache ActiveMQ is fast, supports many Cross Language Clients
+activemq-cpp: and Protocols, comes with easy to use Enterprise Integration
+activemq-cpp: Patterns and many advanced features while fully supporting
+activemq-cpp: JMS 1.1 and J2EE 1.4.
+activemq-cpp:
+activemq-cpp: homepage: http://activemq.apache.org/cms/index.html
+activemq-cpp: